using System;
class HelloWorld 
{
    static void Main() 
    {
        string s1 = Console.ReadLine();
        char[] n = s1.ToCharArray();
        string s2 = Console.ReadLine();
        char[] m = s2.ToCharArray();
        for(int i = 0; i < Math.Min(s1.Length, s2.Length); i++)
        {
            if(n[i] > m[i])
            {
                Console.Write((int)n[i] - 48);
            }
            else if(n[i] < m[i])
            {
                Console.Write((int)m[i] - 48);
            }
            else
            {
                Console.Write((int)n[i] - 48);
                Console.Write((int)m[i] - 48);
            }
        }
    }
}